/* ---------------------------------------------------------------------
     Implimentation of C++ wrapper for LAPACK DSYEV
             Copyright (c) 2005-2009  by A. Miyoshi, Univ. Tokyo
                         created: Sept.  8, 2005
                          edited: Sept. 21, 2009
                     last edited: Mar.  11, 2012
--------------------------------------------------------------------- */

#include "wcpp_dsyev.h"

#if defined (_WIN32) && ! defined (__MINGW32__)
#define ENT_DSYEV DSYEV
#else
#define ENT_DSYEV dsyev_
#endif

extern "C" {
  void ENT_DSYEV(char &jobz, char &uplo, int &n, double **a, int &lda,
   double *w, double *work, int &lwork, int &info);
}

int lapack_dsyev(char jobz, char uplo, int n, double **a, int lda,
 double *w, double *work, int lwork) {
  int info;
  ENT_DSYEV(jobz, uplo, n, a, lda, w, work, lwork, info);
  return info;
}

