C-----------------------------------------------------------------------
      PROGRAM C97TO7
C   Reformat a .c97 file created by pac99 with LSTS=OLD
C    to an old format file
C                       created: Jul. 14, 2013  by A. Miyoshi (UTokyo)
C-----------------------------------------------------------------------
C   Usage: c97to7 < input.c97 > output.dat
C-----------------------------------------------------------------------
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      CHARACTER*18 SPCNAM
      CHARACTER*6 CODEID
      CHARACTER*3 ANUMEL(5)
      CHARACTER*2 ELMNAM(5)
      CHARACTER*1 PHASE
      DIMENSION DNUMEL(5),NUMELM(5),ALOW(7),AHIGH(7)
C
   10 CONTINUE
C       --- read in a .c97 file
        READ(5,510,END=900) SPCNAM
        IPOSS=INDEX(SPCNAM,' ')
        IF(IPOSS.GT.0) THEN
          SPCNAM=SPCNAM(:IPOSS-1)
        END IF
        READ(5,520) NUMTIN,CODEID,(ELMNAM(I),DNUMEL(I),I=1,5),IPHASE
        DO I=1,5
          NUMELM(I)=NINT(DNUMEL(I))
          IF(ELMNAM(I).EQ.'') NUMELM(I)=0
          IF(NUMELM(I).EQ.0) THEN
            ELMNAM(I)=''
            ANUMEL(I)=''
          ELSE
            WRITE(ANUMEL(I),'(I3)') NUMELM(I)
          END IF
        END DO
        IF(IPHASE.EQ.0) THEN
          PHASE='G'
         ELSE
          PHASE='S'
        END IF
        READ(5,530) TLOW,TMID
        READ(5,540) (ALOW(I),I=1,5)
        READ(5,550) (ALOW(I),I=6,7)
        READ(5,530) TDUM,THIGH
        READ(5,540) (AHIGH(I),I=1,5)
        READ(5,550) (AHIGH(I),I=6,7)
  510   FORMAT(A18)
  520   FORMAT(I2,1X,A6,1X,5(A2,F6.0),I2)
  530   FORMAT(2F11.0)
  540   FORMAT(5D16.9)
  550   FORMAT(48X,2D16.9)
C       --- write to an old-format file
        WRITE(6,610) SPCNAM,CODEID,(ELMNAM(I),ANUMEL(I),I=1,4),PHASE,
     .               TLOW,THIGH,TMID
        WRITE(6,620) (AHIGH(I),I=1,5)
        WRITE(6,630) (AHIGH(I),I=6,7),(ALOW(I),I=1,3)
        WRITE(6,640) (ALOW(I),I=4,7)
  610   FORMAT(A18,A6,4(A2,A3),A1,F9.2,1X,F9.2,1X,F8.2,6X,'1')
  620   FORMAT(5(1PE15.8),4X,'2')
  630   FORMAT(5(1PE15.8),4X,'3')
  640   FORMAT(4(1PE15.8),19X,'4')
C       --- loop until the end-of-file of input
      GOTO 10
C
  900 STOP
      END
C
