/*========================================================================
     This is a part of "gpop" - Gaussian output post processor
             Copyright (c) 2002-2013 by A. Miyoshi, Univ. Tokyo
========================================================================*/

#ifndef _GPOP2MLP_H_
#define _GPOP2MLP_H_

#include "gpoplibc.h"

int findJobHead(istream &inf, string &mlpv, string &ptch, string &comm);
int findFreqJob(istream &inf, string &bsis, string &meth, string &mult);
int getGeoFrq(istream &inf, vector<string> &gm, vector<string> &fr);
int findJobEnd(istream &inf, string &scfe);
int outFileGeo(string &basfln, vector<string> &geom);
int outFileFrq(string &basfln, vector<string> &freq, jobInfos &ji,
 molecGeom &mg);
int outFileXyz(string &basfln, jobInfos &ji, molecGeom &mg);
int outFileCsv(string &basfln, jobInfos &ji, molecGeom &mg,
 freqTable &ft);
int outFileZpe(string &basfln, jobInfos &ji, freqTable &ft);
int outFileModTemplate(string &basfln, jobInfos &ji, molecGeom &mg,
 freqTable &ft);

#endif
